LSDISK(1)

NAME
lsdisk - creates a list of attached disks without root privileges.

DESCRIPTION
Standard List without Options (-l) - list all devices form /proc/partitions :
   - System name (if lsb_release installed)
   - Architecture (with uname)
   - Kernel loaded (/proc/cmdline)
   - BIOS- or EFI-mode loaded
   - Device (/dev/sdXY) and partition count
   - Model name, disk size and logical/physical sector size
   - start, end and size in sectors and Bytes
   - filesystem (if mounted)
   - mountpoint (if mounted)
   - label
   - UUID When the script runs with root privileges, there are three more information:
   - EFI- or BIOS-Mainboard
   - Name of the partition table (msdos. GPT, ...)
   - The partion-id by partition without UUID, e.G.: ID 05, extended. Call with root and option -a will show the partition table_
   - MBR/MPT: Byte-ID (e.G. for GRUB:5272 , 7c3c , 020 ...), boot-ID (80), Start-CHS, partition-ID, End-CHS, LBA1 and LBA2
   - GPT: The GPT-information, like primary, secondary, GUID, unique GUID .... If gparted or fdisk/gdisk (depending on partition type) are installed you can also invoke them with lsdisk under root.

OPTIONS:
lsdisk [-a|--analyse] [-l|--list] [-h|--help] [-v|--version] [device]
     If device is specified it can be with or without "/dev/"

List device information

-a  --analyse Analyze/show the partition table (needs root)

-l  --list List device information

-h  --help Show this help message

-v  --version Display version information

If parted(8) or fdisk(8)/gdisk(8) (depending on partition type) are installed you can also invoke them with lsdisk.
    The following options are supported (needs root):

-b  --parted-bytes List with "parted <device> print"

-d  --disk List partition information, depending on the Partition Table with "fdisk / gdisk"

-s  --parted-sectors List with "parted <device> unit s print"

AUTHORS
Primary author: Wilfried Stenzel (wilstet@gmail.com) - https://launchpad.net/~wilstet Contributors: * Dominique Lasserre (lasall42@gmail.com) - https://launchpad.net/~lasall